MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions
MyGUI::delegates::CMethodDelegate6< T, TP1, TP2, TP3, TP4, TP5, TP6 > Class Template Reference

`#include <MyGUI_Delegate.h>`

Inheritance diagram for MyGUI::delegates::CMethodDelegate6< T, TP1, TP2, TP3, TP4, TP5, TP6 >:
[legend]

## Public Types
typedef void(T::* | Method) (TP1 p1, TP2 p2, TP3 p3, TP4 p4, TP5 p5, TP6 p6)

## Public Member Functions
| CMethodDelegate6 (IDelegateUnlink *_unlink, T *_object, Method _method)
virtual bool | isType (const std::type_info &_type)
virtual void | invoke (TP1 p1, TP2 p2, TP3 p3, TP4 p4, TP5 p5, TP6 p6)
virtual bool | compare (IDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 > *_delegate) const
virtual bool | compare (IDelegateUnlink *_unlink) const
Public Member Functions inherited from MyGUI::delegates::IDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 >
virtual | ~IDelegate6 ()

## Detailed Description

### template<typename T, typename TP1, typename TP2, typename TP3, typename TP4, typename TP5, typename TP6>
class MyGUI::delegates::CMethodDelegate6< T, TP1, TP2, TP3, TP4, TP5, TP6 >

Definition at line 76 of file MyGUI_Delegate.h.

## Member Typedef Documentation

template<typename T , typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 , typename TP6 >

typedef void(T::* MyGUI::delegates::CMethodDelegate6< T, TP1, TP2, TP3, TP4, TP5, TP6 >::Method) (TP1 p1, TP2 p2, TP3 p3, TP4 p4, TP5 p5, TP6 p6)

Definition at line 79 of file MyGUI_Delegate.h.

## Constructor & Destructor Documentation

template<typename T , typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 , typename TP6 >

MyGUI::delegates::CMethodDelegate6< T, TP1, TP2, TP3, TP4, TP5, TP6 >::CMethodDelegate6 | ( | IDelegateUnlink * | _unlink,
|  | T * | _object,
|  | Method | _method
| ) |  |
| inline

Definition at line 81 of file MyGUI_Delegate.h.

## Member Function Documentation

template<typename T , typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 , typename TP6 >

virtual bool MyGUI::delegates::CMethodDelegate6< T, TP1, TP2, TP3, TP4, TP5, TP6 >::compare | ( | IDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 > * | _delegate | ) | const
| inline virtual

Implements MyGUI::delegates::IDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 >.

Definition at line 93 of file MyGUI_Delegate.h.

template<typename T , typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 , typename TP6 >

virtual bool MyGUI::delegates::CMethodDelegate6< T, TP1, TP2, TP3, TP4, TP5, TP6 >::compare | ( | IDelegateUnlink * | _unlink | ) | const
| inline virtual

Reimplemented from MyGUI::delegates::IDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 >.

Definition at line 100 of file MyGUI_Delegate.h.

template<typename T , typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 , typename TP6 >

virtual void MyGUI::delegates::CMethodDelegate6< T, TP1, TP2, TP3, TP4, TP5, TP6 >::invoke | ( | TP1 | p1,
|  | TP2 | p2,
|  | TP3 | p3,
|  | TP4 | p4,
|  | TP5 | p5,
|  | TP6 | p6
| ) |  |
| inline virtual

Implements MyGUI::delegates::IDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 >.

Definition at line 88 of file MyGUI_Delegate.h.

template<typename T , typename TP1 , typename TP2 , typename TP3 , typename TP4 , typename TP5 , typename TP6 >

virtual bool MyGUI::delegates::CMethodDelegate6< T, TP1, TP2, TP3, TP4, TP5, TP6 >::isType | ( | const std::type_info & | _type | ) |
| inline virtual

Implements MyGUI::delegates::IDelegate6< TP1, TP2, TP3, TP4, TP5, TP6 >.

Definition at line 83 of file MyGUI_Delegate.h.

The documentation for this class was generated from the following file:

- MyGUI_Delegate.h